# setComponentElAttr

## Description

Allows users to set a new value for an attribute of a component.

## Input / Parameter

| Name        | Description                            | Input Type  | Default | Options | Required                           |
| ----------- | -------------------------------------- | ----------- | ------- | ------- | ---------------------------------- |
| component   | The name of the component.             | String/Text | -       | -       | Partial (Yes if no 'componentId'.) |
| componentId | The id of the component.               | String/Text | -       | -       | Partial (Yes if no 'component'.)   |
| attr        | The attribute of the component.        | String/Text | -       | -       | Yes                                |
| value       | The value to be set for the attribute. | String/Text | -       | -       | Yes                                |

**\* Note:** Either component or componentId must have value in order for this function to work.

## Output

N/A

Note: The component will be updated to show the new value assigned to the attribute.

## Callback

N/A

## Video

Coming Soon.

## Example

The user override a specific element atrribute of a component.

### Step

1. Draw a button "btnSetComponentElAttr"

   ![](/files/IDc1U3oYR6uVJP7NOM8k)
2. Call the function

   ![](/files/GEA2RyVkvwX0yfeYu0gZ)

   ![](/files/9rFZxn0HXJkJ7sCpmpqS)

### Result

The elemnet attribute "innerText" of a button "btnSetComponentElAttr" will have the value of "New Label".

![](/files/3vJBgSWS2X69lhJixGf1)

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/app/setcomponentelattr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
